You have no items in your shopping cart.

CoH 2 - German Commander: Elite Troops Doctrine

This content requires the base game Company of Heroes 2 on Steam in order to play.
$3.59
$3.99
+ -

About CoH 2 - German Commander: Elite Troops Doctrine

GERMAN COMMANDER: Elite Troops Doctrine
Utilize Germany's most elite companies using stronger base troops with added abilities.

  • Tiger Ace
    High command sends in a legendary Tiger Ace. Only one is available, once deployed fuel income will be reduced by 90% and manpower will be reduced by 25% until the Tiger Ace is destroyed.
  • Jaeger Light Infantry Upgrade
    Combat Infantry can be upgraded with this package which adds two G43 rifles and includes training in interrogation.
  • Panzer Tactician
    All armored vehicles get an ability which uses equipped smoke dischargers to prevent themselves from being seen.
  • Model 24 Stun Grenades
    Grenadiers and Panzer Grenadiers can throw Model 24 stun grenades, which will stun enemy infantry.
  • Stormtroopers
    Elite infiltration troops who are experts at disrupting enemy supply lines. These units can be deployed from any ambient building.
Products specifications
Attribute name Attribute value
Language English,Czech,French,German,Italian,Polish,Russian,Spanish - Spain
Windows <div class="sys-f"><ul><ul class="sys-ul"><li><strong>OS:</strong> 32bit Vista<br/> </li><li><strong>Processor:</strong> 2Ghz Intel Core2 Duo or equivalent<br/> </li><li><strong>Memory:</strong> 2GB RAM<br/> </li><li><strong>Graphics:</strong> 512MB Direct3D 10 capable video card (GeForce 8800 GT or Radeon HD 2900XT)<br/> </li><li><strong>DirectX®:</strong> 11<br/> </li><li><strong>Hard Drive:</strong> 30GB free Hard disc space<br/> </li><li><strong>Internet:</strong> Broadband Internet connection</li></ul> </ul></div>
Developer Relic Entertainment, Feral Interactive (Mac), Feral Interactive (Linux)
Publisher SEGA, Feral Interactive (Mac), Feral Interactive (Linux)
Review Mixed - 62% of the 24 user reviews for this game are positive.
MAC <div class="sys-l"><ul> Minimum Requirements<br/><ul class="sys-ul"><li><strong>OS</strong> OS X 10.10.3<br/></li><li><strong>Processor</strong> 1.8Ghz Intel<br/></li><li><strong>RAM</strong> 4GB<br/></li><li><strong>Hard Disk</strong> 35GB<br/></li><li><strong>Graphics</strong> 512MB (Nvidia 6xx series or later, AMD 7xxx series or later and Intel Iris Pro).<br/></li><li><strong>Internet</strong> Broadband Internet connection<br/></li><li><strong>Input</strong> Keyboard &amp; Mouse</li></ul> </ul></div><div class="sys-r"><ul> Recommended Requirements<br/><ul class="sys-ul"><li><strong>OS</strong> OS X 10.10.3<br/></li><li><strong>Processor</strong> 2.4Ghz Intel<br/></li><li><strong>RAM</strong> 8GB<br/></li><li><strong>Hard Disk</strong> 35GB<br/></li><li><strong>Graphics</strong> 4GB (Nvidia 780MX, AMD D700 or R9 295X)<br/></li><li><strong>Internet</strong> Broadband Internet connection<br/></li><li><strong>Input</strong> Keyboard &amp; Mouse</li></ul> </ul></div>
Linux <div class="sys-l"><ul> Minimum Requirements<br/><ul class="sys-ul"><li><strong>OS</strong> Ubuntu 14.04 (64bit) or SteamOS<br/></li><li><strong>Processor</strong> 2.6 GHz Intel Core2 Duo or equivalent.<br/></li><li><strong>RAM</strong> 4GB<br/></li><li><strong>Hard Disk</strong> 35GB<br/></li><li><strong>Graphics</strong> 1GB*<br/></li><li><strong>Internet</strong> Broadband Internet connection<br/></li><li><strong>Input</strong> Keyboard &amp; Mouse<br/>*Requires an Intel Iris Pro graphics card or an NVIDIA 600 series graphics card or better with driver version 352.21 or later.</li></ul> </ul></div><div class="sys-r"><ul> Recommended Requirements<br/><ul class="sys-ul"><li><strong>OS</strong> Ubuntu 14.04 (64bit) or SteamOS<br/></li><li><strong>Processor</strong> 3.4 GHz Intel i5 quad core or equivalent.<br/></li><li><strong>RAM</strong> 8GB<br/></li><li><strong>Hard Disk</strong> 35GB<br/></li><li><strong>Graphics</strong> 4GB**<br/></li><li><strong>Internet</strong> Broadband Internet connection<br/></li><li><strong>Input</strong> Keyboard &amp; Mouse<br/>**NVIDIA 760 series card or better with driver version 352.21 or later.</li></ul> </ul></div>
Developer Web http://www.companyofheroes.com/
Product tags
Categories